﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ClassLibrary1
{
    public enum ComputerType { Desktop, Notebook, Workstation };

    [Serializable]
    public class Computer : Equipment, IComparable<Computer>
    {
        public ComputerType infcomp { get; set; }
        public int Proc { get; set; }

        public Computer (Equipment equip, ComputerType comp, int pr) :base(equip.firm, equip.year, equip.nom)
        {
            this.infcomp = comp;
            this.Proc = pr;
        }

        public Computer()
        {
            this.infcomp = ComputerType.Desktop;
            this.Proc = 8;
        }

        public override string ToString()
        {
            return "Computer " + base.ToString() + " " + infcomp + " " + Proc;
        }

        public int CompareTo(Computer other)
        {
            return Proc.CompareTo(other.Proc);
        }
    }
}
